org.eclipse.ecf.core.sharedobject

## Class SharedObjectCreateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.core.sharedobject.SharedObjectCreateException

All Implemented Interfaces:
  Serializable

    public class SharedObjectCreateException
    extends ECFException

Exception thrown upon shared object create by `ISharedObjectManager`

See Also:
  `ISharedObjectManager.createSharedObject(SharedObjectDescription)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SharedObjectCreateException()`
`SharedObjectCreateException(org.eclipse.core.runtime.IStatus status)`
`SharedObjectCreateException(String arg0)`
`SharedObjectCreateException(String msg, Throwable cause)`
`SharedObjectCreateException(Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectCreateException

    public SharedObjectCreateException()

#### SharedObjectCreateException

    public SharedObjectCreateException(org.eclipse.core.runtime.IStatus status)

#### SharedObjectCreateException

    public SharedObjectCreateException(String arg0)

#### SharedObjectCreateException

    public SharedObjectCreateException(String msg,
                                       Throwable cause)

#### SharedObjectCreateException

    public SharedObjectCreateException(Throwable cause)